# Uses of Class
org.jfree.chart3d.Chart3DChangeEvent

Packages that use Chart3DChangeEvent
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.

## Uses of Chart3DChangeEvent in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type Chart3DChangeEvent
Modifier and Type
Method
Description
`void`
Chart3DChangeListener.`chartChanged(Chart3DChangeEvent event)`
Called to inform that a chart change event has occurred.
`void`
Chart3DPanel.`chartChanged(Chart3DChangeEvent event)`
Receives notification when the chart has been modified, and responds by completely repainting the panel and chart.
`void`
Chart3D.`notifyListeners(Chart3DChangeEvent event)`
Notifies all registered listeners that the chart has been modified.